Bug 1127967 - Review Request: python-releases - A Sphinx extension for changelog manipulation
Summary: Review Request: python-releases - A Sphinx extension for changelog manipulation
Keywords:
Status: CLOSED DUPLICATE of bug 1350943
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1124111
Blocks: 1127974
TreeView+ depends on / blocked
 
Reported: 2014-08-08 02:41 UTC by Eduardo Mayorga
Modified: 2016-06-28 19:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-28 19:30:49 UTC


Attachments (Terms of Use)

Description Eduardo Mayorga 2014-08-08 02:41:20 UTC
Spec URL: https://mayorga.fedorapeople.org/python-releases.spec
SRPM URL: https://mayorga.fedorapeople.org/python-releases-0.6.1-1.fc20.src.rpm
Description: Releases is a Sphinx extension designed to help you keep a source control friendly, merge friendly changelog file & turn it into useful, human readable HTML output
Fedora Account System Username: mayorga

Comment 1 Pierre-YvesChibon 2015-05-04 13:13:00 UTC
* Spec is clean
* License is valid for Fedora: BSD
* No bundled in the sources
* Upstream sources:
280bc8ed90c953b4a667d2b3c458c13db03a921ca273dc25db781315d3e73281  releases-0.6.1.tar.gz
- srpm sources:
280bc8ed90c953b4a667d2b3c458c13db03a921ca273dc25db781315d3e73281  python-releases-0.6.1-1.fc20.src/releases-0.6.1.tar.gz

* rpmlint output can be safely ignored:
python-releases.src: W: spelling-error Summary(en_US) changelog -> change log, change-log, changeling
python-releases.src: W: spelling-error %description -l en_US changelog -> change log, change-log, changeling
python-releases.src: W: spelling-error %description -l en_US rst -> est, rat, rs
python-releases.src: W: spelling-error %description -l en_US timeline -> time line, time-line, timeliness
python-releases.src: W: spelling-error %description -l en_US multi -> mulch, mufti
python-releases.src: W: spelling-error %description -l en_US bugfix -> bug fix, bug-fix, firebug
python-releases.noarch: W: spelling-error Summary(en_US) changelog -> change log, change-log, changeling
python-releases.noarch: W: spelling-error %description -l en_US changelog -> change log, change-log, changeling
python-releases.noarch: W: spelling-error %description -l en_US rst -> est, rat, rs
python-releases.noarch: W: spelling-error %description -l en_US timeline -> time line, time-line, timeliness
python-releases.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
python-releases.noarch: W: spelling-error %description -l en_US bugfix -> bug fix, bug-fix, firebug
python3-{pypi_name}.noarch: W: spelling-error Summary(en_US) changelog -> change log, change-log, changeling
python3-{pypi_name}.noarch: W: spelling-error %description -l en_US changelog -> change log, change-log, changeling
python3-{pypi_name}.noarch: W: spelling-error %description -l en_US rst -> est, rat, rs
python3-{pypi_name}.noarch: W: spelling-error %description -l en_US timeline -> time line, time-line, timeliness
python3-{pypi_name}.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
python3-{pypi_name}.noarch: W: spelling-error %description -l en_US bugfix -> bug fix, bug-fix, firebug
3 packages and 0 specfiles checked; 0 errors, 18 warnings.


! Not the latest version packaged: there is a 0.7.0 version available
  - New version includes docs and tests
! Upstream ship a LICENSE file with the sources but not with the release: Could you ask them to fix this?
! pyython 3 name is invalid: python3-{pypi_name}-0.6.1-1.fc21.noarch.rpm

If you could adjust these points I will look at it again.

Thanks

Comment 2 Pierre-YvesChibon 2015-05-11 08:41:26 UTC
ping?

Comment 3 Eduardo Mayorga 2015-05-11 15:50:22 UTC
Spec URL: https://fedorapeople.org/~mayorga/python-releases.spec
SRPM URL: https://fedorapeople.org/~mayorga/python-releases-0.7.0-1.fc22.src.rpm

It won't run the tests yet because they require the module invocations, which is not available in Fedora.

Comment 4 Pierre-YvesChibon 2015-05-18 10:09:52 UTC
The LICENSE file is already in the sources when I look at the tarball on pypi: https://pypi.python.org/pypi/releases

So there is no need to include it once more

Comment 5 Eduardo Mayorga 2015-05-23 21:40:06 UTC
Fixed.

Comment 6 Eduardo Mayorga 2015-08-01 05:39:29 UTC
Spec URL: https://fedorapeople.org/~mayorga/python-releases.spec
SRPM URL: https://fedorapeople.org/~mayorga/python-releases-0.7.0-2.fc22.src.rpm

* Sat Aug  1 2015 Eduardo Mayorga Téllez <> - 0.7.0-2
- Use %%py2_build, %%py3build, %%py2_install and %%py2_install
- Make a python2 subpackage
- Remove %%py3dir macro

I'm not targeting el6 or older so the new macros should work fine.

Comment 7 Christopher Meng 2015-08-01 06:57:28 UTC
(In reply to Eduardo Mayorga from comment #6)
> - Use %%py2_build, %%py3build, %%py2_install and %%py2_install

Just a note, these macros contain CFLAGS insertion which is useless for packages don't invoke Cython.

Comment 8 Matthias Runge 2016-02-29 07:27:03 UTC
Any intention to continue here?

Comment 9 Pierre-YvesChibon 2016-02-29 09:20:02 UTC
I am sorry for the time-out :(

Eduardo, would you mind updating the spec file to the latest release?

Comment 11 Pierre-YvesChibon 2016-03-14 07:31:21 UTC
Maybe we could add the %test section commented out with a comment explaining why they don't run?

I'll re-do the review a little later :)

Comment 12 Pierre-YvesChibon 2016-03-16 11:12:59 UTC
* Spec is clean and follows the guidelines
* Builds successfully on rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=13366034
* Builds successfully on F23: koji.fedoraproject.org/koji/taskinfo?taskID=13366113
* Is the latest release

! The doc included can likely be built with sphinx and we could put it in a -doc package (regardless of the python version)
! Tests are included in the tarball but not ran in the spec file and there are no explanation on why that is

On both py2 and py3, I tried just testing it a little to see if it behaved fine. This is likely invalid code but at least it's an upstream bug:

>>> import releases
>>> releases.Release()
Traceback (most recent call last):
  File "<input>", line 1, in <module>
    releases.Release()
  File "/usr/lib/python3.4/site-packages/releases/models.py", line 53, in __repr__
    return '<release {0}>'.format(self.number)
  File "/usr/lib/python3.4/site-packages/releases/models.py", line 50, in number
    return self['number']
  File "/usr/lib/python3.4/site-packages/docutils/nodes.py", line 567, in __getitem__
    return self.attributes[key]
KeyError: 'number'

Comment 13 Jeremy Cline 2016-06-10 13:53:47 UTC
Hi Eduardo,

I'm interested in seeing twine in Fedora as well. Is it possible to move forward with this package review? If not, per the policy for stalled package reviews[0], I'd like to close this request so I can carry on the work.

Thanks!

[0] https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding

Comment 14 Jeremy Cline 2016-06-28 19:30:49 UTC
Hi Eduardo,

I've gone ahead and submitted an updated request for this package so, per the policy, I'm marking this a duplicate of my new submission.

I'd be very happy to have you as a co-maintainer if you are still interested in this package!

*** This bug has been marked as a duplicate of bug 1350943 ***


Note You need to log in before you can comment on or make changes to this bug.